libosmousb 1.13.1.1-afb4 Osmocom USB library

Data Fields
usb_interface_match Struct Reference

`#include <libusb.h>`

## Data Fields
libusb_device * | usb_dev
uint16_t | vendor
uint16_t | product
uint8_t | addr
char | path [USB_MAX_PATH_LEN]
uint8_t | configuration
uint8_t | interface
uint8_t | altsetting
uint8_t | class
uint8_t | sub_class
uint8_t | protocol
uint8_t | string_idx

## Field Documentation

## ◆ addr

uint8_t usb_interface_match::addr

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

## ◆ altsetting

uint8_t usb_interface_match::altsetting

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

## ◆ class

uint8_t usb_interface_match::class

Referenced by osmo_libusb_dev_find_matching_interfaces().

## ◆ configuration

uint8_t usb_interface_match::configuration

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

## ◆ interface

uint8_t usb_interface_match::interface

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

## ◆ path

char usb_interface_match::path[USB_MAX_PATH_LEN]

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

## ◆ product

uint16_t usb_interface_match::product

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

## ◆ protocol

uint8_t usb_interface_match::protocol

Referenced by osmo_libusb_dev_find_matching_interfaces().

## ◆ string_idx

uint8_t usb_interface_match::string_idx

Referenced by osmo_libusb_dev_find_matching_interfaces().

## ◆ sub_class

uint8_t usb_interface_match::sub_class

Referenced by osmo_libusb_dev_find_matching_interfaces().

## ◆ usb_dev

libusb_device* usb_interface_match::usb_dev

Referenced by osmo_libusb_dev_find_matching_interfaces().

## ◆ vendor

uint16_t usb_interface_match::vendor

Referenced by osmo_libusb_dev_find_matching_interfaces(), and osmo_libusb_open_claim_interface().

The documentation for this struct was generated from the following file:

- include/osmocom/usb/libusb.h